#ifndef QGLVIEW_DESIGNERPLUGIN_H
#define QGLVIEW_DESIGNERPLUGIN_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>


class QGLViewDesignerPlugin
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_PLUGIN_METADATA(IID "qad.qglview")
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	QGLViewDesignerPlugin(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QGLVIEW_DESIGNERPLUGIN_H
